shrinkcovmat.unequal {ShrinkCovMat} | R Documentation

## Shrinking the Sample Covariance Matrix Towards a Diagonal Matrix with Diagonal Elements the Sample Variances.

### Description

Provides a nonparametric Stein-type shrinkage estimator of the covariance matrix that is a linear combination of the sample covariance matrix and of the diagonal matrix with elements the corresponding sample variances on the diagonal and zeros elsewhere.

### Usage

    shrinkcovmat.unequal(data, centered = FALSE)

### Arguments

`data` | a numeric matrix containing the data.
`centered` | a logical indicating if the vectors are centered around their mean vector.

### Details

The rows of the data matrix `data` correspond to variables and the columns to subjects.

### Value

Returns an object of the class 'shrinkcovmathat' that has components:

`Sigmahat` | The Stein-type shrinkage estimator of the covariance matrix.
`lambdahat` | The estimated optimal shrinkage intensity.
`Sigmasample` | The sample covariance matrix.
`Target` | The target covariance matrix.
`centered` | If the data are centered around their mean vector.

### Author(s)

Anestis Touloumis

### References

Touloumis, A. (2015) nonparametric Stein-type Shrinkage Covariance Matrix Estimators in High-Dimensional Settings. Computational Statistics & Data Analysis 83, 251–261.

### See Also

`shrinkcovmat.equal` and `shrinkcovmat.identity`.

### Examples

    data(colon)
    normal_group <- colon[, 1:40]
    tumor_group <- colon[, 41:62]
    sigma_hat_normal_group <- shrinkcovmat.unequal(normal_group)
    sigma_hat_normal_group
    sigma_hat_tumor_group <- shrinkcovmat.unequal(tumor_group)
    sigma_hat_tumor_group

[Package ShrinkCovMat version 1.4.0 Index]